package org.springblade.deployment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/12/4 14:45
 */
@Data
@TableName("sql_backup_record")
@ApiModel(value = "SqlBackupRecord",description = "sql文件备份记录")
public class SqlBackupRecord implements Serializable {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件路径")
    private String filePath;

    @ApiModelProperty("文件大小")
    private Long fileSize;

    @ApiModelProperty("备份时间")
    private LocalDateTime backupTime;

    @ApiModelProperty("数据来源：0:备份/1:上传")
    private Integer dataSource;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("恢复状态,0:未恢复/1:恢复")
    private Integer restoreStatus;

    @ApiModelProperty("恢复时间")
    private LocalDateTime restoreTime;
}
