package org.springblade.deployment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("upgrade_project")
@ApiModel(value = "UpgradeProject对象",description = "项目升级实体类")
public class UpgradeProject implements Serializable {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 项目模块
     */
    @ApiModelProperty("后端项目模块-不能为空（gmetry-xxljob/gmetry-bi/gmetry-system/gmetry-lowcode/gmetry-pdf）")
    private String projectModel;

    /**
     * .env文件修改的模块
     */
    @ApiModelProperty(".env文件需要修改的模块名称-不能为空（bi_version/pdf_version/xxljob_version/system_version/lowcode_version）")
    private String envName;

    /**
     * 项目类型
     */
    @ApiModelProperty(value = "项目类型-不能为空（0：前端，1：后端）")
    private Integer projectType;

    /**
     * 项目的旧的版本号
     */
    private String oldVersion;

    /**
     * 升级项目的版本号
     */
    @ApiModelProperty("项目版本号-不能为空，修改.env文件需要用到")
    private String projectVersion;

    /**
     * 升级日志，这个是必须的
     */
    @ApiModelProperty(value = "升级日志-不能为空")
    private String upgradeLog;

    /**
     * 部署的结果
     */
    private String resultMsg;

    /**
     * 升级结果 1：成功，0：失败
     */
    private Integer upgradeResult;

    /**
     * 操作人员id
     */
    private Long operationUserId;

    /**
     * 操作人名称
     */
    private String operationUserName;


    /**
     * 升级时间
     */
    private LocalDateTime createTime;
}
