package org.springblade.deployment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "UpgradeProjectSql对象",description = "升级sql实体")
@TableName("upgrade_project_sql")
public class UpgradeProjectSql implements Serializable {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 升级项目的版本号
     */
    @ApiModelProperty("修改的数据库名称")
    private String databaseName;

    /**
     * 升级日志，这个是必须的
     */
    @ApiModelProperty(value = "升级日志-不能为空")
    private String upgradeLog;

    /**
     * 部署的结果
     */
    private String resultMsg;

    /**
     * 升级结果 1：成功，0：失败
     */
    private Integer upgradeResult;

    /**
     * 操作人员id
     */
    private Long operationUserId;

    /**
     * 操作人名称
     */
    private String operationUserName;


    /**
     * 升级时间
     */
    private LocalDateTime createTime;

    @TableField(exist = false)
    private String user;

    @TableField(exist = false)
    private String password;
}
