package org.springblade.deployment.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.springblade.deployment.dto.TableInfoDto;
import org.springblade.deployment.entity.SqlBackupRecord;

import java.util.List;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/12/4 14:55
 */
public interface SqlBackupRecordMapper extends BaseMapper<SqlBackupRecord> {

    /**
     * 查询表信息
     */
    @Select({
            "<script>",
            "SELECT table_name,table_comment,table_rows, round(data_length / 1024 / 1024, 2) AS data_mb",
            "FROM information_schema.tables",
            "<where>",
            "table_schema = (select database())",
            "<if test='tableName != null and tableName != \"\"'>and table_name = #{tableName}</if>",
            "</where>",
            "</script>"
    })
    List<TableInfoDto> getTables(String tableName);
}
